<script lang="ts">
  import { page } from '$app/stores';
  import { Card, Heading, Sidebar, SidebarGroup, SidebarItem, SidebarWrapper } from 'flowbite-svelte';
  import { Pathways } from '$lib/data/pathways';
  import { EngagementData } from '$lib/data/engagementData';
  import CompetitionListCard from '$lib/competitions/CompetitionListCard.svelte';

  $: selectedPathwayName = decodeURI($page.url.hash.split('#')[1] || 'Education');
  $: selectedPathway = Pathways.find((p) => p.name === selectedPathwayName) || Pathways[0];
</script>

<div class="flex flex-col lg:flex-row lg:items-start p-2 mx-auto container">
  <div class="w-full min-w-80 lg:max-w-20 lg:sticky lg:top-2">
    <Sidebar asideClass="w-full mb-1 lg:pr-2" activeUrl="#{selectedPathwayName}">
      <SidebarWrapper>
        <SidebarGroup>
          <h1 class="text-gray-600 dark:text-gray-300">Recommended Paths</h1>
          {#each Pathways as pathway}
            <SidebarItem
              data-umami-event="View Pathway"
              data-umami-event-pathway={pathway.name}
              label={pathway.name}
              href="#{pathway.name}" />
          {/each}
        </SidebarGroup>
      </SidebarWrapper>
    </Sidebar>
  </div>

  <div class="flex w-full min-w-80 lg:pl-2">
    {#if !selectedPathway}
      <p>Selected path {selectedPathwayName} does not exist</p>
    {:else}
      <div class="flex flex-col">
        <Card size="none" class="text-center w-full">
          <Heading tag="h2">{selectedPathway.name}</Heading>
          <p>{selectedPathway.description}</p>
        </Card>
        {#each selectedPathway.path as level}
          <div class="relative flex w-4/5 mx-auto py-5 items-center">
            <div class="flex-grow border-t border-gray-400" />
            <span class="flex-shrink text-2xl text-gray-600 dark:text-gray-100 px-4">{level.name}</span>
            <div class="flex-grow border-t border-gray-400" />
          </div>
          <!-- card container -->
          <div class="flex flex-wrap gap-5 mt-5 justify-center">
            {#each level.competitions as competition}
              <CompetitionListCard
                class="min-w-96 lg:max-w-xl max-w-full"
                title={competition}
                data={EngagementData.data.competitions[competition]} />
            {/each}
          </div>
        {/each}
      </div>
    {/if}
  </div>
</div>
